package com.fjhx.mes.mapper.production;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.mes.entity.production.po.ProductionScheduling;
import com.fjhx.mes.entity.production.vo.ProductionSchedulingVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 生产排程 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-02-03
 */
public interface ProductionSchedulingMapper extends BaseMapper<ProductionScheduling> {

    /**
     * 生产排程列表
     */
    List<ProductionSchedulingVo> getList(@Param("ew") IWrapper<ProductionScheduling> wrapper);

}
