package com.fjhx.mes.service.production;

import com.fjhx.mes.entity.production.dto.ProductionSchedulingDto;
import com.fjhx.mes.entity.production.dto.ProductionSchedulingSelectDto;
import com.fjhx.mes.entity.production.po.ProductionScheduling;
import com.fjhx.mes.entity.production.vo.ProductionSchedulingVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 生产排程 服务类
 * </p>
 *
 * @author
 * @since 2024-02-03
 */
public interface ProductionSchedulingService extends BaseService<ProductionScheduling> {

    /**
     * 生产排程列表
     */
    List<ProductionSchedulingVo> getList(ProductionSchedulingSelectDto dto);

    /**
     * 生产排程新增
     */
    void add(ProductionSchedulingDto productionSchedulingDto);

    /**
     * 生产排程编辑
     */
    void edit(ProductionSchedulingDto productionSchedulingDto);

    /**
     * 生产排程删除
     */
    void delete(Long id);

}
